Un foro de discusión para nuestra comunidad de hispano hablante

Moderator: amosbatto

#824214
Buenas tardes alguien me podria ayudar? tengo un dynaform donde coloque un grid "gridV" compuesto de 2 dropdown, uno con el nombre de Codigo y el otro con el nombre de Articulo, mi objetivo es llenar esos campos con datos de una tabla en phpmyadmin, no eh tenido problema al llenar dropdowns llamando a una consulta de base de datos pero cuando estan en un grid no llenan los campos. Uso el siguiente trigger antes del dynaform para intentar llenar el grid sin exito:

$nombre = @=nombreProveedor; //nombreProveedor es una variable de caso que me guarda el ID de un proveedor

$result = executeQuery ("SELECT idArt AS Codigo, Articulo AS Articulo FROM articulo WHERE idProv = '$nombre' ","1075744625cca58299677d0053043395"); //Cadena de Conexion a la BD
if ( is_array($resul) and count ($resul) > 0 )
@=gridV = $resul;

Detalles: La tabla de articulos contiene los campos: IdArt que almacena el codigo del articulo, Articulo que almacena el nombre del articulo e idProv que almacena el codigo del proveedor que proporcionara ese articulo

En el modo debug me arroja el siguiente error: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead
__VAR_CHANGED__: nombreProveedor,gridV
No se si estoy haciendo algo mal, alguien que me pueda orientar en esto?
#824215
mysql_query() es caducado pero todavia funciona.

En tu archivo php.ini, debes setear:
Code: Select all
error_reporting = E_ALL & ~E_DEPRECATED & ~E_STRICT & ~E_WARNING
display_errors = Off

¿Qué versiones de ProcessMaker y PHP estas usando? ¿Bitnami o instalación manual?
#824226
amosbatto wrote: Thu May 02, 2019 7:29 pm mysql_query() es caducado pero todavia funciona.

En tu archivo php.ini, debes setear:
Code: Select all
error_reporting = E_ALL & ~E_DEPRECATED & ~E_STRICT & ~E_WARNING
display_errors = Off

¿Qué versiones de ProcessMaker y PHP estas usando? ¿Bitnami o instalación manual?
como puedo setearlo?
la version de mi process maker es processmaker-3.2.1-0 y el php que uso es del bitnami
#824237
morales wrote:
amosbatto wrote: Thu May 02, 2019 7:29 pm mysql_query() es caducado pero todavia funciona.

En tu archivo php.ini, debes setear:
Code: Select all
error_reporting = E_ALL & ~E_DEPRECATED & ~E_STRICT & ~E_WARNING
display_errors = Off

¿Qué versiones de ProcessMaker y PHP estas usando? ¿Bitnami o instalación manual?
como puedo setearlo?
Ver php.ini

Puedes cambiarlo en: C:\Bitnami\processmaker-3.X.X.bX-0\php\php.ini
Tambien debes chequear si es cambiado en: C:\Bitnami\processmaker-3.X.X.bX-0\apps\processmaker\conf\httpd-app.conf
Despues de hacer tu cambios, debes rebootear la computadora o reiniciar Apache.

@dan123dan Thanks for your response - I have chec[…]

It's possible to assign a case from one process us[…]

Hi, I am getting a bank page when I key in Proces[…]

Also you must update your program to a newer versi[…]